#!/usr/bin/env lua5.1
local m = 1
local f = 2

local tipos = {
	{"Un collage", m},
	{"Una intervención contrapublicitaria o contrapropaganda", f},
	{"Una cerámica", f},
	{"Un comic", m},
}

local temas = {
	"destrucción ambiental",
	"una canción",
	"otra obra artística",
	"el mercado inmobiliario",
	"redes sociales",
}

local adjetivos = {
	{"", ""},
	{"feo", "fea"},
}

local random_i = 1
local function random(list)
	math.randomseed((''..os.time()):reverse() + random_i)
	random_i = random_i + 5
	return list[math.random(#list)]
end

require'html'

print(render{
	h2({}, {"Algunas obras generadas aleatoriamente"}),
	ol({}, map({1, 2, 3, 4, 5, 6, 7, 8, 9, 10}, function(key, value)
		local tipo = random(tipos)
		local tema = random(temas)
		local adjetivo = random(adjetivos)[tipo[2]]
		return li({}, {tipo[1]," ",adjetivo," sobre ",tema})
	end)),
	h2({}, {"Tipos de obra"}),
	ol({}, map(tipos, function(key, tipo)
		return li({}, {tipo[1]})
	end)),
	h2({}, {"Algunas características (opcional)"}),
	ol({}, map({unpack(adjetivos, 2)}, function(key, adjetivo)
		return li({}, {adjetivo[1],"/",adjetivo[2]})
	end)),
	h2({}, {"Temas para la obra"}),
	ol({}, map(temas, function(key, tema)
		return li({}, {tema})
	end)),
	p({}, {
		a({ href = "https://gitea.nulo.in/Nulo/sitio/src/branch/ANTIFASCISTA/Men%C3%BA%20art%C3%ADstico.gen" }, {"Código"}),
	}),
})

